Bug 1313282 - [RFE] - Superuser doesn't have access to user portal
[RFE] - Superuser doesn't have access to user portal
Status: NEW
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
All All
low Severity low
: ---
: ---
Assigned To: rhev-docs@redhat.com
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2016-03-01 05:21 EST by Pawan kumar Vilayatkar
Modified: 2017-10-25 07:04 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pawan kumar Vilayatkar 2016-03-01 05:21:53 EST
Hello Team,

Can we include the more details information about how to create and Role 
and Permissions on in Technical Guide.
Comment 1 Yaniv Lavi 2016-03-01 07:13:25 EST
Can you please add more details on what is missing?
And provide the use case for what you are trying to do?
Comment 3 Daniel Beckman 2016-03-04 16:43:52 EST

I was the customer in the RH support case (# 01569117) that this stems from. 

Here's the original summary:
A user has been assigned 'superuser' role on two VMs in the user portal. When he tries to create a snapshot one either of those VMs, he gets 'there are no disks allowing a snapshot..'

I had added the 'superuser' role to user, and nothing else. What we found was that -- when using the user portal (as opposed to the admin portal), the user had to be assigned the 'user' role and not just the 'superuser' role, in order to be able to see the VM's disk and create snapshots. (Oddly, this applied to RHEL VMs but not Windows VMs.) 

This seems counter-intuitive -- one would think that 'superuser' is a superset of 'user'. If this is be design (?), it would be helpful to have it documented somewhere. 

Daniel Beckman
Comment 6 Tomas Jelinek 2017-02-16 02:36:00 EST
First of all it should have nothing to do with the OS. I can guess the issue may have been that the user had some permissions on the storages of the RHEL machines as opposed to the windows ones.

The roles which should be used in user portal are user roles, e.g.:
UserRole: for user to start/stop etc the vms
PowerUserRole: for creating the vms

Note You need to log in before you can comment on or make changes to this bug.